import request from '@/router/axios';
//分页查询参数库
export const queryParameterList = (params) => {
    return request({
        url: '/api/blade-manager/parameter/list',
        method: 'get',
        params
    })
}
// 新增或修改参数库
export const submitParameter = (data) => {
    return request({
        url: '/api/blade-manager/parameter/submit',
        method: 'post',
        data
    });
}

//删除参数库 
export const remove = (params) => {
    return request({
        url: '/api/blade-manager/parameter/remove',
        method: 'get',
        params
    })
}
// 根据参树Id获取项目和合同段信息
export const getProjectContractByParam = (params) => {
    return request({
        url: '/api/blade-manager/parameterelement/getProjectContract',
        method: 'get',
        params: params
    })
}

//新增元素
export const submitElement = (data) => {
    return request({
        url: '/api/blade-manager/parameterelement/submit',
        method: 'post',
        data
    });
}
//加载元素列表/parameterelement/getParameterElementList
export const getParameterElementList = (params) => {
    return request({
        url: '/api/blade-manager/parameterelement/getParameterElementList',
        method: 'post',
        data: params
    })
}

//删除元素
export const removeElement = (params) => {
    return request({
        url: '/api/blade-manager/parameterelement/remove',
        method: 'get',
        params
    })
}